petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSTrajectorySetKeepFiles

Keep the files generated by the TSTrajectory

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSTrajectorySetKeepFiles(TSTrajectory tj,PetscBool flg)

Collective on TSTrajectory

### Input Arguments

| tj | - the TSTrajectory context
| flg | - PETSC_TRUE to save, PETSC_FALSE to disable

### Options Database Keys

-ts_trajectory_keep_files -have it keep the files

### Notes

By default the TSTrajectory used for adjoint computations, TSTRAJECTORYBASIC, removes the files it generates at the end of the run. This causes the files to be kept.

### Keywords

TS, trajectory, set, monitor

### See Also

TSTrajectoryCreate(), TSTrajectoryDestroy(), TSTrajectorySetUp(), TSTrajectorySetMonitor()

### Level

advanced

### Location

src/ts/trajectory/interface/traj.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages